Subject: Re: ls problem
From: "Carlo Florendo" <[email-masked]>
To: "David Starks-Browning" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 19 Nov 2002 14:07:21 -0800

Thanks for the info.  I've read the FAQ and it mentioned something about the
// notation on the PATH environment variable.  I checked my PATH variable
and there was no presence of the // notation.  I then set the PATH to
include only the usual bin directories but "ls -l" is still considerably
slow.  I try both "time ls -b" and "time ls -l" and there is considerable
difference.  The cygwin1.dll version I am using is 1.3.15-cygwin-1-3-15-1.

fcarlo@ZEUS~
$ time ls -b
a  b  test

real    0m0.024s
user    0m0.030s
sys     0m0.015s

fcarlo@ZEUS ~
$ time ls -l
total 11
-rw-r--r--    1 fcarlo   None            5 Nov 19 13:58 a
-rw-r--r--    1 fcarlo   None            5 Nov 19 13:58 b
-rw-r--r--    1 fcarlo   None         8283 Nov 19 13:59 test

real    0m1.819s
user    0m0.030s
sys     0m0.000s

> On Monday 18 Nov 02, Carlo Florendo writes:
> > Hello,
> >
> > I've been using cygwin for 3 years now and last week, I downloaded the
> > latest cygwin from one of the mirrors and everything in well except for
one
> > problem.  I noticed that whenever I type 'ls -', the output gets delayed
for
> > a few seconds.  This never happened to me using the old cygwin.
>
> There is a FAQ entry, "Why is Cygwin suddenly *so* slow?".  Maybe it
> describes your problem.
>
> Regards,
> David
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/